package com.huigou.topsun.sap.exceptionReport.application;

import com.huigou.topsun.sap.exceptionReport.domain.ExceptionReportDutyPerson;
import com.huigou.topsun.sap.exceptionReport.domain.query.ExceptionReportQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/20/19:35
 * @Description:
 */
public interface ExceptionReportDutyPersonApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/exceptionReport/exceptionReport.xml";
    List<ExceptionReportDutyPerson> findByExceptionReportId(String exceptionReportId);

    void saveExceptionReportDutyPersonList(String exceptionReportId,List<ExceptionReportDutyPerson> personList);

    Map<String,Object> slicedExceptionReportDutyPersonList(ExceptionReportQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    void saveExceptionReportDutyPerson(ExceptionReportDutyPerson exceptionReportDutyPerson);
}
